Browse Source

Merge pull request #22843 from bendlas/update-webkitgtk

webkitgtk212x: remove
nixos-19.03
Graham Christensen 6 years ago committed by GitHub
parent
commit
7943dc8978
  1. 57
      pkgs/development/libraries/webkitgtk/2.12.nix
  2. 5
      pkgs/top-level/all-packages.nix

57
pkgs/development/libraries/webkitgtk/2.12.nix

@ -1,57 +0,0 @@
{ stdenv, fetchurl, perl, python2, ruby, bison, gperf, cmake
, pkgconfig, gettext, gobjectIntrospection, libnotify
, gtk2, gtk3, wayland, libwebp, enchant, xlibs, libxkbcommon, epoxy, at_spi2_core
, libxml2, libsoup, libsecret, libxslt, harfbuzz, libpthreadstubs
, enableGeoLocation ? true, geoclue2, sqlite
, gst-plugins-base
}:
assert enableGeoLocation -> geoclue2 != null;
with stdenv.lib;
stdenv.mkDerivation rec {
name = "webkitgtk-${version}";
version = "2.12.5";
meta = {
description = "Web content rendering engine, GTK+ port";
homepage = "http://webkitgtk.org/";
license = licenses.bsd2;
platforms = platforms.linux;
hydraPlatforms = [];
maintainers = with maintainers; [ koral ];
};
preConfigure = "patchShebangs Tools";
src = fetchurl {
url = "http://webkitgtk.org/releases/${name}.tar.xz";
sha256 = "0h0wig413399wws6l88mn1nnjbqb42vb55yvz8az39b4p1a7h53b";
};
patches = [ ./finding-harfbuzz-icu.patch ];
cmakeFlags = [ "-DPORT=GTK" "-DUSE_LIBHYPHEN=0" ];
# XXX: WebKit2 missing include path for gst-plugins-base.
# Filled: https://bugs.webkit.org/show_bug.cgi?id=148894
NIX_CFLAGS_COMPILE = "-I${gst-plugins-base.dev}/include/gstreamer-1.0";
nativeBuildInputs = [
cmake perl python2 ruby bison gperf sqlite
pkgconfig gettext gobjectIntrospection
];
buildInputs = [
gtk2 wayland libwebp enchant libnotify
libxml2 libsecret libxslt harfbuzz libpthreadstubs
gst-plugins-base libxkbcommon epoxy at_spi2_core
] ++ optional enableGeoLocation geoclue2
++ (with xlibs; [ libXdmcp libXt libXtst ]);
propagatedBuildInputs = [
libsoup gtk3
];
enableParallelBuilding = true;
}

5
pkgs/top-level/all-packages.nix

@ -9838,11 +9838,6 @@ with pkgs;
gst-plugins-base = gst_all_1.gst-plugins-base;
};
webkitgtk212x = callPackage ../development/libraries/webkitgtk/2.12.nix {
harfbuzz = harfbuzz-icu;
gst-plugins-base = gst_all_1.gst-plugins-base;
};
webkitgtk2 = webkitgtk24x.override {
withGtk2 = true;
enableIntrospection = false;

Loading…
Cancel
Save